# LangChain CLI

LangChain CLI is a command-line interface tool for interacting with the LangChain Python Agent Toolkit. It provides a set of commands to help you create solutions with the help of LangChain, OpenAI, and Python REPL.

## Features

- LangChain accessible through CLI
- No need to save OpenAI Key locally/remotely
- Ability to decide the Temperature of the model
- Decide the number of tokens to be spend during runtime

## Installation

To use LangChain CLI, you need to have `pip` installed on your system.

`pip install langchain-cli`

## Usage

After installing LangChain CLI, you can access the command-line interface by running `langchain-cil` in your terminal.

`langchain-cli`

To view the version of `langchain-cli` installed in your system:

`langchain-cli version`

To use `langchain-cli` to access LangChain Python Agent Toolkit:

`langchain-cli --temp 0 --tokens 1024`

## Contributing

If you would like to contribute to LangChain CLI, please fork the repository and submit a pull request. We welcome all contributions, including bug fixes and new features. Please refer to the [Contributing](CONTRIBUTING.md) guidelines before submitting a PR.

## License

LangChain CLI is released under the [MIT License](LICENSE).

## Citation

Bhattacharjee, R. (2023) LangChain-CLI [Computer software]. https://github.com/rajtilakjee/langchain-cli
